Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkProbeFilter Class Reference

`#include <vtkProbeFilter.h>`

Inheritance diagram for vtkProbeFilter:

[legend]
Collaboration diagram for vtkProbeFilter:

[legend]
List of all members.

## Detailed Description

sample data values at specified point locations

Date:
  2002/11/03 22:51:55

Revision:
  1.47

vtkProbeFilter is a filter that computes point attributes (e.g., scalars, vectors, etc.) at specified point positions. The filter has two inputs: the Input and Source. The Input geometric structure is passed through the filter. The point attributes are computed at the Input point positions by interpolating into the source data. For example, we can compute data values on a plane (plane specified as Input) from a volume (Source).

Created by:
  - Schroeder, Will

CVS contributions (if > 5%):
  - Schroeder, Will (39%)
  - Law, Charles (22%)
  - Martin, Ken (10%)
  - Lorensen, Bill (8%)
  - Biddiscombe, John (6%)
  - Henderson, Amy (5%)

CVS logs (CVSweb):
  - .`h` (`/Graphics/vtkProbeFilter.h)`
  - .`cxx` (`/Graphics/vtkProbeFilter.cxx)`

Examples:
  vtkProbeFilter (Examples)

Tests:
  vtkProbeFilter (Tests)

Definition at line 58 of file vtkProbeFilter.h.

## Public Types
typedef vtkDataSetToDataSetFilter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetSource (vtkDataSet *source)
vtkDataSet * | GetSource ()
virtual void | SetSpatialMatch (int)
virtual int | GetSpatialMatch ()
virtual void | SpatialMatchOn ()
virtual void | SpatialMatchOff ()
virtual vtkIdTypeArray * | GetValidPoints ()
## Static Public Methods
vtkProbeFilter * | New ()
int | IsTypeOf (const char *type)
vtkProbeFilter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkProbeFilter ()
| ~vtkProbeFilter ()
virtual void | Execute ()
void | ExecuteInformation ()
virtual void | ComputeInputUpdateExtents (vtkDataObject *output)
## Protected Attributes
int | SpatialMatch
vtkIdTypeArray * | ValidPoints

## Member Typedef Documentation

typedef vtkDataSetToDataSetFilter vtkProbeFilter::Superclass

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPProbeFilter. Definition at line 62 of file vtkProbeFilter.h.

## Constructor & Destructor Documentation

vtkProbeFilter::vtkProbeFilter | ( |  | ) | `[protected]`

vtkProbeFilter::~vtkProbeFilter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkProbeFilter* vtkProbeFilter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject. Reimplemented in vtkPProbeFilter.

virtual const char* vtkProbeFilter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPProbeFilter.

int vtkProbeFilter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPProbeFilter.

virtual int vtkProbeFilter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPProbeFilter.

vtkProbeFilter* vtkProbeFilter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPProbeFilter.

void vtkProbeFilter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPProbeFilter.

void vtkProbeFilter::SetSource | ( | vtkDataSet * | source | ) |

| Specify the point locations used to probe input. Any geometry can be used.

vtkDataSet* vtkProbeFilter::GetSource | ( |  | ) |

| Specify the point locations used to probe input. Any geometry can be used.

virtual void vtkProbeFilter::SetSpatialMatch | ( | int |  | ) | `[virtual]`

| This flag is used only when a piece is requested to update. By default the flag is off. Because no spatial correspondence between input pieces and source pieces is known, all of the source has to be requested no matter what piece of the output is requested. When there is a spatial correspondence, the user/application can set this flag. This hint allows the breakup of the probe operation to be much more efficient. When piece m of n is requested for update by the user, then only n of m needs to be requested of the source.

virtual int vtkProbeFilter::GetSpatialMatch | ( |  | ) | `[virtual]`

| This flag is used only when a piece is requested to update. By default the flag is off. Because no spatial correspondence between input pieces and source pieces is known, all of the source has to be requested no matter what piece of the output is requested. When there is a spatial correspondence, the user/application can set this flag. This hint allows the breakup of the probe operation to be much more efficient. When piece m of n is requested for update by the user, then only n of m needs to be requested of the source.

virtual void vtkProbeFilter::SpatialMatchOn | ( |  | ) | `[virtual]`

| This flag is used only when a piece is requested to update. By default the flag is off. Because no spatial correspondence between input pieces and source pieces is known, all of the source has to be requested no matter what piece of the output is requested. When there is a spatial correspondence, the user/application can set this flag. This hint allows the breakup of the probe operation to be much more efficient. When piece m of n is requested for update by the user, then only n of m needs to be requested of the source.

virtual void vtkProbeFilter::SpatialMatchOff | ( |  | ) | `[virtual]`

| This flag is used only when a piece is requested to update. By default the flag is off. Because no spatial correspondence between input pieces and source pieces is known, all of the source has to be requested no matter what piece of the output is requested. When there is a spatial correspondence, the user/application can set this flag. This hint allows the breakup of the probe operation to be much more efficient. When piece m of n is requested for update by the user, then only n of m needs to be requested of the source.

virtual vtkIdTypeArray* vtkProbeFilter::GetValidPoints | ( |  | ) | `[virtual]`

| Get the list of point ids in the output that contain attribute data interpolated from the source.

virtual void vtkProbeFilter::Execute | ( |  | ) | `[protected, virtual]`

| This method is the old style execute method Reimplemented from vtkSource. Reimplemented in vtkPProbeFilter.

void vtkProbeFilter::ExecuteInformation | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPProbeFilter.

virtual void vtkProbeFilter::ComputeInputUpdateExtents | ( | vtkDataObject * | output | ) | `[protected, virtual]`

| By default copy the output update extent to the input Reimplemented from vtkDataSetToDataSetFilter. Reimplemented in vtkPProbeFilter.

## Member Data Documentation

int vtkProbeFilter::SpatialMatch`[protected]`

| Definition at line 96 of file vtkProbeFilter.h.

vtkIdTypeArray* vtkProbeFilter::ValidPoints`[protected]`

| Definition at line 102 of file vtkProbeFilter.h.

The documentation for this class was generated from the following file:

- Graphics/vtkProbeFilter.h